#!/bin/bash
set -e # 如果构建失败，则退出，不能删除旧的包

if [ "$#" -ne 1 ]; then
  echo "Usage: $0 BUILD_ENV" >&2
  exit 1
fi

pwd

echo “build env: $1”

npm -v
npm install --registry=https://registry.npmmirror.com
npm run build:$1

mkdir -p ~/home/admin/project/exam-reserve/static/wap/temp
cp -r dist ~/home/admin/project/exam-reserve/static/wap/temp

cd ~/home/admin/project/exam-reserve/static/wap
if [ -d "dist" ]; then
  currentTime=$(date "+%Y%m%d%H%M%S")
  echo "dist backup... $currentTime"
  tar cf guangkai-wap-bak-$currentTime.tar.gz dist
  rm -rf dist/*
fi

mv temp/dist .
rm -rf temp
echo "ok..."
